For the complete documentation index, see llms.txt. This page is also available as Markdown.

CustomerContact

CustomerContact

List contacts

get
/tenants/{tenantUid}/customer-contacts

List all customer contacts.

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Responses
200

Example response

application/json
get/tenants/{tenantUid}/customer-contacts
GET /v2/tenants/{tenantUid}/customer-contacts HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "firstname": "text",
      "lastname": "text",
      "email": "text",
      "mobile": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "customerContactUid": "text",
      "displayName": "text",
      "customers": [
        {
          "customerUid": "text",
          "displayName": "text",
          "role": "ADMIN",
          "extensions": [
            {
              "extensionCode": "TWO_INVOICE",
              "organizationUid": "text"
            }
          ]
        }
      ]
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Create a new contact

post
/tenants/{tenantUid}/customer-contacts

Create a new customer contact

Required permissions: CUSTOMER,SALES_ORDER,RETURN_ORDER

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body

CustomerContactsCreateRequestSchema

firstnamestringRequired
lastnamestringRequired
emailstringOptional
mobilestringOptional
customerContactUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
201Success
application/json

CustomerContactResponseSchema

firstnamestringRequired
lastnamestringRequired
emailstringRequired
mobilestringRequired
createdAtstring · date-timeRequired
lastModifiedAtstring · date-timeRequired
customerContactUidstringRequired
displayNamestringRequired
post/tenants/{tenantUid}/customer-contacts
POST /v2/tenants/{tenantUid}/customer-contacts HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 149

{
  "firstname": "text",
  "lastname": "text",
  "email": "text",
  "mobile": "text",
  "customerContactUid": "text",
  "customers": [
    {
      "customerUid": "text",
      "role": "ADMIN"
    }
  ]
}
201Success
{
  "firstname": "text",
  "lastname": "text",
  "email": "text",
  "mobile": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "customerContactUid": "text",
  "displayName": "text",
  "customers": [
    {
      "customerUid": "text",
      "displayName": "text",
      "role": "ADMIN",
      "extensions": [
        {
          "extensionCode": "TWO_INVOICE",
          "organizationUid": "text"
        }
      ]
    }
  ]
}

Search for customer contacts

post
/tenants/{tenantUid}/customer-contacts/search

Search for customer contacts

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Body
querystringOptional
emailstringOptional
mobilestringOptional
Responses
200

Example response

application/json
post/tenants/{tenantUid}/customer-contacts/search
POST /v2/tenants/{tenantUid}/customer-contacts/search HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 47

{
  "query": "text",
  "email": "text",
  "mobile": "text"
}
200

Example response

{
  "items": [
    {
      "firstname": "text",
      "lastname": "text",
      "email": "text",
      "mobile": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "customerContactUid": "text",
      "displayName": "text",
      "customers": [
        {
          "customerUid": "text",
          "displayName": "text",
          "role": "ADMIN",
          "extensions": [
            {
              "extensionCode": "TWO_INVOICE",
              "organizationUid": "text"
            }
          ]
        }
      ]
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Get customer contact information

get
/tenants/{tenantUid}/customer-contacts/{customerContactUid}

Get details about a customer contact.

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
customerContactUidstringRequired

Reference to a Customer contact.

Pattern: ^[A-Za-z0-9-_]+
Responses
200Success
application/json

CustomerContactResponseSchema

firstnamestringRequired
lastnamestringRequired
emailstringRequired
mobilestringRequired
createdAtstring · date-timeRequired
lastModifiedAtstring · date-timeRequired
customerContactUidstringRequired
displayNamestringRequired
get/tenants/{tenantUid}/customer-contacts/{customerContactUid}
GET /v2/tenants/{tenantUid}/customer-contacts/{customerContactUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Success
{
  "firstname": "text",
  "lastname": "text",
  "email": "text",
  "mobile": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "customerContactUid": "text",
  "displayName": "text",
  "customers": [
    {
      "customerUid": "text",
      "displayName": "text",
      "role": "ADMIN",
      "extensions": [
        {
          "extensionCode": "TWO_INVOICE",
          "organizationUid": "text"
        }
      ]
    }
  ]
}

Update customer contact information

put
/tenants/{tenantUid}/customer-contacts/{customerContactUid}

Required permissions: CUSTOMER,SALES_ORDER,RETURN_ORDER

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
customerContactUidstringRequired

Reference to a Customer contact.

Pattern: ^[A-Za-z0-9-_]+
Body

CustomerContactUpdateSchema

firstnamestringOptional
lastnamestringOptional
emailstringOptional
mobilestringOptional
Responses
200Success
application/json

CustomerContactResponseSchema

firstnamestringRequired
lastnamestringRequired
emailstringRequired
mobilestringRequired
createdAtstring · date-timeRequired
lastModifiedAtstring · date-timeRequired
customerContactUidstringRequired
displayNamestringRequired
put/tenants/{tenantUid}/customer-contacts/{customerContactUid}
PUT /v2/tenants/{tenantUid}/customer-contacts/{customerContactUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 69

{
  "firstname": "text",
  "lastname": "text",
  "email": "text",
  "mobile": "text"
}
200Success
{
  "firstname": "text",
  "lastname": "text",
  "email": "text",
  "mobile": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "customerContactUid": "text",
  "displayName": "text",
  "customers": [
    {
      "customerUid": "text",
      "displayName": "text",
      "role": "ADMIN",
      "extensions": [
        {
          "extensionCode": "TWO_INVOICE",
          "organizationUid": "text"
        }
      ]
    }
  ]
}

Remove a customer contact

delete
/tenants/{tenantUid}/customer-contacts/{customerContactUid}

Required permissions: CUSTOMER

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
customerContactUidstringRequired

Reference to a Customer contact.

Pattern: ^[A-Za-z0-9-_]+
Responses
204

OK

No content

delete/tenants/{tenantUid}/customer-contacts/{customerContactUid}
DELETE /v2/tenants/{tenantUid}/customer-contacts/{customerContactUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204

OK

No content

List all customers for a contact

get
/tenants/{tenantUid}/customer-contacts/{customerContactUid}/customers

List all customers a contact is connected to

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
customerContactUidstringRequired

Reference to a Customer contact.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
get/tenants/{tenantUid}/customer-contacts/{customerContactUid}/customers
GET /v2/tenants/{tenantUid}/customer-contacts/{customerContactUid}/customers HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "customerUid": "text",
      "displayName": "text",
      "role": "ADMIN",
      "extensions": [
        {
          "extensionCode": "TWO_INVOICE",
          "organizationUid": "text"
        }
      ]
    }
  ]
}

Add a customer-contact to a customer

post
/tenants/{tenantUid}/customer-contacts/{customerContactUid}/customers

Required permissions: CUSTOMER,SALES_ORDER,RETURN_ORDER

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
customerContactUidstringRequired

Reference to a Customer contact.

Pattern: ^[A-Za-z0-9-_]+
Body
Responses
200

Example response

application/json
post/tenants/{tenantUid}/customer-contacts/{customerContactUid}/customers
POST /v2/tenants/{tenantUid}/customer-contacts/{customerContactUid}/customers HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 53

{
  "customers": [
    {
      "customerUid": "text",
      "role": "ADMIN"
    }
  ]
}
200

Example response

{
  "items": [
    {
      "customerUid": "text",
      "displayName": "text",
      "role": "ADMIN",
      "extensions": [
        {
          "extensionCode": "TWO_INVOICE",
          "organizationUid": "text"
        }
      ]
    }
  ]
}

Remove a customer for a contact

delete
/tenants/{tenantUid}/customer-contacts/{customerContactUid}/customers/{customerUid}

Remove a customer from a contact

Required permissions: CUSTOMER

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
customerContactUidstringRequired

Reference to a Customer contact.

Pattern: ^[A-Za-z0-9-_]+
customerUidstringRequired

Reference to a Customer.

Pattern: ^[A-Za-z0-9-_]+
Responses
204

Customer removed

No content

delete/tenants/{tenantUid}/customer-contacts/{customerContactUid}/customers/{customerUid}
DELETE /v2/tenants/{tenantUid}/customer-contacts/{customerContactUid}/customers/{customerUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204

Customer removed

No content

List contacts for a customer

get
/tenants/{tenantUid}/customers/{customerUid}/contacts

List contacts for a customer

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
customerUidstringRequired

Reference to a Customer.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Responses
200

Example response

application/json
get/tenants/{tenantUid}/customers/{customerUid}/contacts
GET /v2/tenants/{tenantUid}/customers/{customerUid}/contacts HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "firstname": "text",
      "lastname": "text",
      "email": "text",
      "mobile": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "customerContactUid": "text",
      "extensions": [
        {
          "extensionCode": "TWO_INVOICE",
          "organizationUid": "text"
        }
      ],
      "displayName": "text",
      "role": "ADMIN"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Create a new contact and add it to a customer

post
/tenants/{tenantUid}/customers/{customerUid}/contacts

Create a new contact and add it to a customer

Required permissions: CUSTOMER,SALES_ORDER,RETURN_ORDER

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
customerUidstringRequired

Reference to a Customer.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body

CustomerContactCreateSchema

firstnamestringRequired
lastnamestringRequired
emailstringOptional
mobilestringOptional
customerContactUidstringOptionalPattern: ^[A-Za-z0-9-_]+
rolestring · enumOptionalPossible values:
Responses
200

Example response

application/json

CustomerContactResponseSchema

firstnamestringRequired
lastnamestringRequired
emailstringRequired
mobilestringRequired
createdAtstring · date-timeRequired
lastModifiedAtstring · date-timeRequired
customerContactUidstringRequired
displayNamestringRequired
rolestring · enumRequiredPossible values:
post/tenants/{tenantUid}/customers/{customerUid}/contacts
POST /v2/tenants/{tenantUid}/customers/{customerUid}/contacts HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 112

{
  "firstname": "text",
  "lastname": "text",
  "email": "text",
  "mobile": "text",
  "customerContactUid": "text",
  "role": "ADMIN"
}
200

Example response

{
  "firstname": "text",
  "lastname": "text",
  "email": "text",
  "mobile": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "customerContactUid": "text",
  "extensions": [
    {
      "extensionCode": "TWO_INVOICE",
      "organizationUid": "text"
    }
  ],
  "displayName": "text",
  "role": "ADMIN"
}

Get contact details for a customer

get
/tenants/{tenantUid}/customers/{customerUid}/contacts/{customerContactUid}

Get contact details for a customer

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
customerUidstringRequired

Reference to a Customer.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
customerContactUidstringRequired

Reference to a Customer contact.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json

CustomerContactResponseSchema

firstnamestringRequired
lastnamestringRequired
emailstringRequired
mobilestringRequired
createdAtstring · date-timeRequired
lastModifiedAtstring · date-timeRequired
customerContactUidstringRequired
displayNamestringRequired
rolestring · enumRequiredPossible values:
get/tenants/{tenantUid}/customers/{customerUid}/contacts/{customerContactUid}
GET /v2/tenants/{tenantUid}/customers/{customerUid}/contacts/{customerContactUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "firstname": "text",
  "lastname": "text",
  "email": "text",
  "mobile": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "customerContactUid": "text",
  "extensions": [
    {
      "extensionCode": "TWO_INVOICE",
      "organizationUid": "text"
    }
  ],
  "displayName": "text",
  "role": "ADMIN"
}

Update contact details for a customer

put
/tenants/{tenantUid}/customers/{customerUid}/contacts/{customerContactUid}

Update contact details for a customer. Partial updates are allowed.

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
customerUidstringRequired

Reference to a Customer.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
customerContactUidstringRequired

Reference to a Customer contact.

Pattern: ^[A-Za-z0-9-_]+
Body

CustomerContactUpdateSchema

firstnamestringOptional
lastnamestringOptional
emailstringOptional
mobilestringOptional
Responses
200

Example response

application/json

CustomerContactResponseSchema

firstnamestringRequired
lastnamestringRequired
emailstringRequired
mobilestringRequired
createdAtstring · date-timeRequired
lastModifiedAtstring · date-timeRequired
customerContactUidstringRequired
displayNamestringRequired
rolestring · enumRequiredPossible values:
put/tenants/{tenantUid}/customers/{customerUid}/contacts/{customerContactUid}
PUT /v2/tenants/{tenantUid}/customers/{customerUid}/contacts/{customerContactUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 69

{
  "firstname": "text",
  "lastname": "text",
  "email": "text",
  "mobile": "text"
}
200

Example response

{
  "firstname": "text",
  "lastname": "text",
  "email": "text",
  "mobile": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "customerContactUid": "text",
  "extensions": [
    {
      "extensionCode": "TWO_INVOICE",
      "organizationUid": "text"
    }
  ],
  "displayName": "text",
  "role": "ADMIN"
}

Delete a contact for a customer

delete
/tenants/{tenantUid}/customers/{customerUid}/contacts/{customerContactUid}

Delete a contact for a customer.

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
customerUidstringRequired

Reference to a Customer.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
customerContactUidstringRequired

Reference to a Customer contact.

Pattern: ^[A-Za-z0-9-_]+
Responses
204

No Content

No content

delete/tenants/{tenantUid}/customers/{customerUid}/contacts/{customerContactUid}
DELETE /v2/tenants/{tenantUid}/customers/{customerUid}/contacts/{customerContactUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204

No Content

No content

Add extension to a customer contact

post
/tenants/{tenantUid}/customers/{customerUid}/contacts/{customerContactUid}/extensions/{customerExtensionCode}

Add extension to a customer contact

Required permissions: CUSTOMER

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
customerUidstringRequired

Reference to a Customer.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
customerContactUidstringRequired

Reference to a Customer contact.

Pattern: ^[A-Za-z0-9-_]+
customerExtensionCodestring · enumRequired
ENUMDescription
TWO_INVOICEThe Two Invoice extension.
KLAVIYO_PROFILE_IDKlaviyo profile ID
Possible values:
Body
storeUidstringRequiredPattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json

CustomerContactResponseSchema

firstnamestringRequired
lastnamestringRequired
emailstringRequired
mobilestringRequired
createdAtstring · date-timeRequired
lastModifiedAtstring · date-timeRequired
customerContactUidstringRequired
displayNamestringRequired
rolestring · enumRequiredPossible values:
post/tenants/{tenantUid}/customers/{customerUid}/contacts/{customerContactUid}/extensions/{customerExtensionCode}
POST /v2/tenants/{tenantUid}/customers/{customerUid}/contacts/{customerContactUid}/extensions/{customerExtensionCode} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 19

{
  "storeUid": "text"
}
200

Example response

{
  "firstname": "text",
  "lastname": "text",
  "email": "text",
  "mobile": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "customerContactUid": "text",
  "extensions": [
    {
      "extensionCode": "TWO_INVOICE",
      "organizationUid": "text"
    }
  ],
  "displayName": "text",
  "role": "ADMIN"
}

Delete extension from a customer contact

delete
/tenants/{tenantUid}/customers/{customerUid}/contacts/{customerContactUid}/extensions/{customerExtensionCode}

Delete extension from a customer contact

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
customerUidstringRequired

Reference to a Customer.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
customerContactUidstringRequired

Reference to a Customer contact.

Pattern: ^[A-Za-z0-9-_]+
customerExtensionCodestring · enumRequired
ENUMDescription
TWO_INVOICEThe Two Invoice extension.
KLAVIYO_PROFILE_IDKlaviyo profile ID
Possible values:
Body
storeUidstringRequiredPattern: ^[A-Za-z0-9-_]+
Responses
204

No Content

No content

delete/tenants/{tenantUid}/customers/{customerUid}/contacts/{customerContactUid}/extensions/{customerExtensionCode}
DELETE /v2/tenants/{tenantUid}/customers/{customerUid}/contacts/{customerContactUid}/extensions/{customerExtensionCode} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 19

{
  "storeUid": "text"
}
204

No Content

No content

Last updated